<?php
/**
 * Plugin Name: Spider Solitaire Card Game - Embed Spider Solitaire for Free - Ad-free Spider Solitaire Puzzle game
 * Plugin URI: https://wordpress.org/plugins/embed-spider-solitaire-iframe/
 * Description: This plugin lets you embed an ad-free version of Spider Solitaire for free using a shortcode. Easily embed Spider Solitaire on your WordPress website, using pages and posts.
 * Version: 1.0
 * Author: onlinesolitairecardgame
 * Author URI: https://online-solitaire.com/spider
 * License: GPL2
 */

class wp_embed_spider {

  /* [embed-spider-game]
   *  - Use this shortcode to embed the game to any page or post of website.
   */
  public static function embed_spider($atts) {
      ob_start();
      require_once 'embed-spider-template.php';
      $output = ob_get_contents();
      ob_end_clean();
      return $output;
  }
}

class wp_embed_spider_two_suits {

  /* [embed-spider-two-suits-game]
   *  - Use this shortcode to embed the game to any page or post of website.
   */
  public static function embed_spider_two_suits($atts) {
      ob_start();
      require_once 'embed-spider-two-suits-template.php';
      $output = ob_get_contents();
      ob_end_clean();
      return $output;
  }
}

class wp_embed_spider_one_suits {

  /* [embed-spider-one-suit-game]
   *  - Use this shortcode to embed the game to any page or post of website.
   */
  public static function embed_spider_one_suits($atts) {
      ob_start();
      require_once 'embed-spider-one-suits-template.php';
      $output = ob_get_contents();
      ob_end_clean();
      return $output;
  }
}

add_shortcode( 'embed-spider-game', Array('wp_embed_spider', 'embed_spider') );
add_shortcode( 'embed-spider-two-suits-game', Array('wp_embed_spider_two_suits', 'embed_spider_two_suits') );
add_shortcode( 'embed-spider-one-suit-game', Array('wp_embed_spider_one_suits', 'embed_spider_one_suits') );
